Bug 204446 - (dotXclientsMissing) Xclients.d files not sourced by Xclients script
Xclients.d files not sourced by Xclients script
Product: Fedora
Classification: Fedora
Component: xorg-x11-xinit (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
: EasyFix, Patch
: 204447 474861 500221 (view as bug list)
Depends On:
Blocks: F11Target
  Show dependency treegraph
Reported: 2006-08-29 02:12 EDT by Eric Moret
Modified: 2013-01-22 17:25 EST (History)
6 users (show)

See Also:
Fixed In Version: 1.0.9-9.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-16 03:25:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Moret 2006-08-29 02:12:08 EDT
Description of problem:

I am trying to launch matchbox-window-manager (alien rpm) from /usr/bin/startx 
and found out about the new Xclients.d facility described in #142260. Looking 
around a bit I can't seem to find a way to get this facility working with 
startx. The default /etc/X11/xinit/Xclients script does not source 
my /etc/X11/xinit/Xclients.d/Xclients.mb.sh like /etc/X11/xinit/Xsession 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Make sure you do not have any window manager or desktop installed.
2. install matchbox-window-manager
3. create a window manager startup script in /etc/X11/xinit/Xclients.d 
# cat > /etc/X11/xinit/Xclients.d/Xclients.mb.sh
/usr/bin/xterm &
exec /usr/bin/matchbox-window-manager
3. start x window with startx
# startx
Actual results:
X does not start

Expected results:
X starts and launches an xterm and the matchbox window manager
Comment 1 Eric Moret 2006-08-29 02:15:32 EDT
*** Bug 204447 has been marked as a duplicate of this bug. ***
Comment 3 Matthew Miller 2007-04-06 15:29:57 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 4 Eric Moret 2007-04-07 00:16:18 EDT
Yes this is still the case on FC6
Comment 5 Matthew Miller 2007-04-07 00:22:06 EDT
Thank you.
Comment 6 Bug Zapper 2008-04-03 14:03:37 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 7 Eric Moret 2008-04-07 17:25:39 EDT
This is still the case in F8
Comment 8 Eric Moret 2008-05-01 19:17:07 EDT
Was this fixed in rawhide? I see the bug was recently moved from rawhide to f8?
Comment 9 Matěj Cepl 2008-05-03 04:19:59 EDT
This is the code which should do the job:

if [ -d "$XCLIENTS_D" -a "$#" -eq 1 -a -x "$XCLIENTS_D/Xclients.$1.sh" ]; then
    exec -l $SHELL -c "$SSH_AGENT $XCLIENTS_D/Xclients.$1.sh"

I don't see anything bad here. I am not sure however, how this script is
supposed to be run.
Comment 10 Eric Moret 2008-05-03 20:45:16 EDT
Indeed, the above code is present in /etc/X11/xinit/Xsession but is missing from
/etc/X11/xinit/Xclients thus preventing /usr/bin/startx of working properly.
Comment 11 Bug Zapper 2008-11-26 02:01:20 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 12 Eric Moret 2008-11-26 11:28:00 EST
This bug is still present in F9
Comment 13 Matěj Cepl 2009-05-12 04:50:24 EDT
Actually, this true even about current Rawhide. There is

# otherwise, take default action
if [ -x "$HOME/.xsession" ]; then
    exec -l $SHELL -c "$CK_XINIT_SESSION $SSH_AGENT $HOME/.xsession"
elif [ -x "$HOME/.Xclients" ]; then
    exec -l $SHELL -c "$CK_XINIT_SESSION $SSH_AGENT $HOME/.Xclients"
elif [ -x /etc/X11/xinit/Xclients ]; then
    exec -l $SHELL -c "$CK_XINIT_SESSION $SSH_AGENT /etc/X11/xinit/Xclients"
    # should never get here; failsafe fallback
    exec -l $SHELL -c "xsm"

in /etc/X11/xinit/Xsession, but nothing comparable in Xclients
Comment 14 Matěj Cepl 2009-05-12 04:51:10 EDT
*** Bug 500221 has been marked as a duplicate of this bug. ***
Comment 15 Matěj Cepl 2009-05-12 04:51:21 EDT
*** Bug 474861 has been marked as a duplicate of this bug. ***
Comment 16 Fedora Update System 2009-06-08 17:48:08 EDT
xorg-x11-xinit-1.0.9-9.fc11 has been submitted as an update for Fedora 11.
Comment 17 Bug Zapper 2009-06-09 05:09:51 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 18 Fedora Update System 2009-06-15 22:11:31 EDT
xorg-x11-xinit-1.0.9-9.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-xinit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6320
Comment 19 Fedora Update System 2009-07-16 03:24:58 EDT
xorg-x11-xinit-1.0.9-9.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Juha Tuomala 2013-01-22 17:25:50 EST
This is still broken. Xclients runs Xclients.$1.sh from its .d drop dir but nothing provides that $1 argument. /etc/X11/xinit/xinitrc has a line that runs Xclients but doesn't provide any argument to it and thus nothing gets executed from that dir.

Note You need to log in before you can comment on or make changes to this bug.